Angular JS Logo

I just started working on an Angular app and needed to get my environment set up.  If I want to use Yeoman, I need Node.js, which means installing it first.  I followed some directions which included using a configure script; the trouble is that the version I downloaded didn’t have the configure script in the directory.  When I did have the latest version I found I didn’t have G++ installed.  Here’s what I found worked on a CentOS system:

  1. Install G++ first
    yum install gcc gcc-c++ autoconf automake
  2. Download Node
    wget http://nodejs.org/dist/node-latest.tar.gz
  3. Extract
    tar zxvf node-latest.tar.gz
  4. Change into the new directory
    e.g. cd node-v0.10.21
  5. Run configure and make/make install
    ./configure
    make
    make install
  6. Then, just to confirm all is well, test npm:
    npm –version

If step #6 gives you something like v0.10.21 then all is well, and you can begin using npm to install modules like Yeoman.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.